%define upstream_name    Data-Perl
%define upstream_version 0.002011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Wrapping class for Perl's built in array structure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Output)
BuildRequires: perl(parent)
BuildRequires: perl(strictures)
BuildArch:  noarch

%description
Data::Perl is a collection of classes that wrap fundamental data types that
exist in Perl. These classes and methods as they exist today are an attempt
to mirror functionality provided by Moose's Native Traits. One important
thing to note is all classes currently do no validation on constructor
input.

Data::Perl is a container class for the following classes:

* * the Data::Perl::Collection::Hash manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.2.11-3.mga9
+ Revision: 1819675
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.2.11-2.mga8
+ Revision: 1543899
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.2.11-1.mga8
+ Revision: 1482259
- update to 0.002011
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.9-6.mga7
+ Revision: 1267004
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.2.9-5.mga6
+ Revision: 1024829
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.2.9-4.mga6
+ Revision: 933827
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.9-3.mga5
+ Revision: 750691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.9-2.mga5
+ Revision: 684226
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 sander85 <sander85> 0.2.9-1.mga5
+ Revision: 640350
- update to 0.002009

* Thu Jun 26 2014 jquelin <jquelin> 0.2.8-1.mga5
+ Revision: 639951
- update to 0.002008

* Thu Apr 17 2014 jquelin <jquelin> 0.2.7-1.mga5
+ Revision: 615407
- imported package perl-Data-Perl


* Thu Apr 17 2014 cpan2dist 0.002007-1mga
- initial mageia release, generated with cpan2dist
